------------------------------------------------------------
revno: 1616
committer: Rene Engelhard <r...@debian.org>
branch nick: experimental
timestamp: Mon 2009-07-13 15:37:50 +0200
message:
  merge
added:
  openoffice.org-kab.postinst.in
  openoffice.org-kab.preinst.in
  openoffice.org-kab.prerm.in
modified:
  changelog
  control.kde.in
  rules
  source.lintian-overrides
    ------------------------------------------------------------
    revno: 1592.1.7
    committer: Rene Engelhard <r...@debian.org>
    branch nick: unstable
    timestamp: Tue 2009-06-30 08:26:17 +0200
    message:
      merge
    modified:
      source.lintian-overrides
    ------------------------------------------------------------
    revno: 1592.1.8
    committer: Rene Engelhard <r...@debian.org>
    branch nick: unstable
    timestamp: Mon 2009-07-13 15:31:21 +0200
    message:
        * debian/rules, debian/control.kde.in, debian/openoffice.org-kab*:
          also add/revoke libkab1.so to fix similar bug as with -evolution in -2
    added:
      openoffice.org-kab.postinst.in
      openoffice.org-kab.preinst.in
      openoffice.org-kab.prerm.in
    modified:
      changelog
      control.kde.in
      rules
=== modified file 'changelog'
--- a/changelog 2009-07-11 13:30:25 +0000
+++ b/changelog 2009-07-13 13:37:50 +0000
@@ -1,3 +1,10 @@
+openoffice.org (1:3.1.1~ooo310m15-2) UNRELEASED; urgency=low
+
+  * debian/rules, debian/control.kde.in, debian/openoffice.org-kab*:
+    also add/revoke libkab1.so to fix similar bug as with -evolution in -2 
+
+ -- Rene Engelhard <r...@debian.org>  Wed, 01 Jul 2009 22:59:39 +0200
+
 openoffice.org (1:3.1.1~ooo310m15-1) experimental; urgency=high
 
   * OpenOffice.org 3.1.1 development milestone 15 (OOO310_m15)

=== modified file 'control.kde.in'
--- a/control.kde.in    2009-06-19 19:44:15 +0000
+++ b/control.kde.in    2009-07-13 13:37:50 +0000
@@ -25,6 +25,7 @@
 
 Package: openoffice.orgVER-kab
 Architecture: %OOO_ARCHS%
+Pre-Depends: openoffice.orgVER-core (>= 1:3.1.0-2)
 Depends: openoffice.orgVER-core (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends}

=== added file 'openoffice.org-kab.postinst.in'
--- a/openoffice.org-kab.postinst.in    1970-01-01 00:00:00 +0000
+++ b/openoffice.org-kab.postinst.in    2009-07-13 13:31:21 +0000
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+set -e
+
+THIS_PACKAGE=openoffice.org-kab
+THIS_SCRIPT=postinst
+
+#INCLUDE_SHELL_LIB#
+
+if [ "$1" = "configure" -o "$1" = "upgrade" ]; then
+       register_to_services_rdb /@OOBASISDIR@/program/libkab1.so
+fi
+
+#DEBHELPER#
+
+exit 0

=== added file 'openoffice.org-kab.preinst.in'
--- a/openoffice.org-kab.preinst.in     1970-01-01 00:00:00 +0000
+++ b/openoffice.org-kab.preinst.in     2009-07-13 13:31:21 +0000
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+set -e
+
+# preinst script for openoffice.org-kab
+
+THIS_PACKAGE=openoffice.org-kab
+THIS_SCRIPT=preinst
+
+#INCLUDE_SHELL_LIB#
+
+case "$1" in
+       upgrade)
+               revoke_from_services_rdb /@OOBASISDIR@/program/libkab1.so
+       ;;
+esac
+
+#DEBHELPER#
+
+exit 0

=== added file 'openoffice.org-kab.prerm.in'
--- a/openoffice.org-kab.prerm.in       1970-01-01 00:00:00 +0000
+++ b/openoffice.org-kab.prerm.in       2009-07-13 13:31:21 +0000
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+set -e
+
+# prerm script for openoffice.org-kab
+
+THIS_PACKAGE=openoffice.org-kab
+THIS_SCRIPT=prerm
+
+#INCLUDE_SHELL_LIB#
+
+case "$1" in
+       remove)
+               revoke_from_services_rdb /@OOBASISDIR@/program/libkab1.so
+       ;;
+esac
+
+#DEBHELPER#
+
+exit 0

=== modified file 'rules'
--- a/rules     2009-07-02 06:04:58 +0000
+++ b/rules     2009-07-13 13:37:50 +0000
@@ -1990,6 +1990,12 @@
                -br $(PKGDIR)-core/$(OODIR)/program/services.rdb \
                -c 
'vnd.sun.star.expand:$$OOO_BASE_DIR/program/libevoab$(LIBSUFFIX).so'
 endif
+ifeq "$(ENABLE_KDEAB)" "y"
+       debian/ure/$(OOBRANDDIR)/ure/bin/regcomp -revoke \
+               -r $(PKGDIR)-core/$(OODIR)/program/services.rdb \
+               -br $(PKGDIR)-core/$(OODIR)/program/services.rdb \
+               -c 'vnd.sun.star.expand:$$OOO_BASE_DIR/program/libkab1.so'
+endif
 
        # move the URE to /usr/lib/ure
        mv debian/ure/$(OOBRANDDIR)/ure debian/ure/usr/lib

=== modified file 'source.lintian-overrides'
--- a/source.lintian-overrides  2009-06-30 06:24:26 +0000
+++ b/source.lintian-overrides  2009-07-13 13:37:50 +0000
@@ -1,4 +1,4 @@
 openoffice.org source: missing-build-dependency-for-dh_-command 
dh_clideps=cli-common-dev
 openoffice.org source: missing-build-dependency-for-dh_-command 
dh_pysupport=python-support
-openoffice.org source: dh_desktop-is-deprecated line 3034
-openoffice.org source: dh_desktop-is-deprecated line 3224
+openoffice.org source: dh_desktop-is-deprecated line 3045
+openoffice.org source: dh_desktop-is-deprecated line 3235

Reply via email to